package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.eo.GiftPool;

import java.util.List;

/**
 *  赠品池接口
 * @author Administrator
 * @Date 2019-10-21
 */
public interface GiftPoolMapper {
    /**
     * 获取集合
     * @param  giftPool
     * @return List
     */
    List<GiftPool> getGiftPoolList(GiftPool  giftPool);
    /**
     * 查询单条数据
     * @param  id
     * @return  giftPool
     */
    GiftPool  getGiftPoolById(Integer  id);

    /**
     * 修改数据
     * @param  giftPool
     * @return Integer
     */
    Integer  updateStock(GiftPool  giftPool);

    /**
     * 修改数据 - 增加库存
     * @param  giftPool
     * @return Integer
     */
    Integer  updateAddStock(GiftPool  giftPool);
}